/*
 * Copyright (C) 2020-2021 Aloysius Indrayanto
 *
 * This file is part of the eCxx library, see LICENSE file for the license details.
 */


#include <eCxx/eCxx_DDX.h>
#include <eCxx/eCxx_InputDevice.h>

#include "AVR_Common.h"


//
// Instantiate the digital configure, read, and write wrapper class objects
//
static const eCxx::PinDDX<eCxx::AVR::BuiltinLED> pinDDX_LED;
static const eCxx::PinDDX<4                    > pinDDX_SW;


//
// Include common source code for direct digital configure, read, and write wrapper test application
//
#include "../CommonCode/PinDDX_Common.h"


//
// The init function
//
void eCxx_user_init()
{
    // Initialize application
    initBasicAVRApp();

    // Initialize the pins
    eCxx_user_init_initPins();
}


//
// The task function
//
void eCxx_user_task()
{
    // Execute the user task
    eCxx_user_task_execute();
}
